## org.omg.DynamicAny
Class NameValuePairSeqHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameValuePairSeqHelper

public class NameValuePairSeqHelper
extends java.lang.Object

Helper class for : NameValuePairSeq

Author:
  OpenORB Compiler

Constructor Summary
`NameValuePairSeqHelper()`

Method Summary
`static NameValuePair[]` `extract(Any a)` Extract NameValuePairSeq from an any
`static java.lang.String` `id()` Return the NameValuePairSeq IDL ID
`static void` `insert(Any a, NameValuePair[] t)` Insert NameValuePairSeq into an any
`static NameValuePair[]` `read(InputStream istream)` Read NameValuePairSeq from a marshalled stream
`static TypeCode` `type()` Return the NameValuePairSeq TypeCode
`static void` `write(OutputStream ostream, NameValuePair[] value)` Write NameValuePairSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameValuePairSeqHelper

    public NameValuePairSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameValuePair[] t)

  Insert NameValuePairSeq into an any
  Parameters:
    `a` - an any
    `t` - NameValuePairSeq value

### extract

    public static NameValuePair[] extract(Any a)

  Extract NameValuePairSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NameValuePairSeq value

### type

    public static TypeCode type()

  Return the NameValuePairSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NameValuePairSeq IDL ID
  Returns:
    an ID

### read

    public static NameValuePair[] read(InputStream istream)

  Read NameValuePairSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NameValuePairSeq value

### write

    public static void write(OutputStream ostream,
                             NameValuePair[] value)

  Write NameValuePairSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NameValuePairSeq value